Bug 496952 - preupgrade overwrite MBR instead of first partition on HDD
preupgrade overwrite MBR instead of first partition on HDD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 15:02 EDT by Luya Tshimbalanga
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.1.0-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:09:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Added image for detail (514.89 KB, image/png)
2009-04-21 16:13 EDT, Luya Tshimbalanga
no flags Details

  None (edit)
Description Luya Tshimbalanga 2009-04-21 15:02:47 EDT
Description of problem:
A triple boot issue. I have Windows XP on first HDD, Fedora 10 on second, and another Fedora to be Rawhide on third hDD. The latter uses preupgrade and grub is set on the first partition. The upgrade should only occur on that HDD, not on masterboot as preupgrade does not give specification for updating Grub.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start preupgrade on the third HDD containing Fedora 10
2. Reboot the system and let preupgrade do the work
3.
  
Actual results:
Overwrite on the MBR instead of first partition of third HDD

Expected results:
Should only upgrade on specified partition for grub leaving MBR intact

Additional info:
Comment 1 Luya Tshimbalanga 2009-04-21 15:17:05 EDT
Login from upgraded Rawhide, I noticed preupgrade also upgrade the second HDD containing the stable Fedora. I think this bug is very serious for people who are triple booting their system because preupgrade did not give any input to only upgrade specific partition. Not only it updated grub from the third HDD as expected, it also overwrite grub from MBR which should not be changed. 

I think it will be a good thime to address issue on triple booting because it seems to be a known bug related to anaconda.
Comment 2 Luya Tshimbalanga 2009-04-21 16:13:08 EDT
Created attachment 340626 [details]
Added image for detail
Comment 3 Will Woods 2009-04-21 17:04:04 EDT
There's two bugs here:

1) preupgrade-1.0.x doesn't know how to tell anaconda which partition to upgrade.

This is because anaconda didn't have a command for this prior to F11 Beta (see bug 471232). This should be fixed in preupgrade-1.1.0 for upgrades to Rawhide or F11.

2) preupgrade attempted to install GRUB

preupgrade generates a kickstart file that says:
  bootloader --upgrade
I assumed this should only upgrade the bootloader config, but I may be wrong. It's been updated to do:
  bootloader --upgrade --location=none
This explicitly tells anaconda *not* to install a new bootloader during the upgrade.

This code is in preupgrade bzr rev 290; preupgrade-1.1.0pre2 should be built soon including this patch.
Comment 4 Luya Tshimbalanga 2009-04-22 11:17:16 EDT
Would you mind to write a warning message when it comes to use preupgrade with version 1.0.x? In my case, the damage is done because preupgrade entirely replaced my stable Fedora 10 by rawhide. You would not want to receive a lot of complain from Fedora 10 users unless version 1.1.x lands on stable.
Comment 5 Will Woods 2009-04-22 11:31:16 EDT
Warning message? No, I'm not going to push out a 1.0.x update that says "don't use 1.0.x". That's silly. 

I'll try to get 1.1.0pre2 into the repos for F9/F10 ASAP.
Comment 6 Fedora Update System 2009-04-28 18:07:42 EDT
preupgrade-1.1.0-0.pre2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-0.pre2.fc10
Comment 7 Fedora Update System 2009-05-02 12:42:05 EDT
preupgrade-1.1.0-0.pre2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4211
Comment 8 Fedora Update System 2009-05-13 18:47:06 EDT
preupgrade-1.1.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-1.fc9
Comment 9 Fedora Update System 2009-05-13 18:47:59 EDT
preupgrade-1.1.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/preupgrade-1.1.0-1.fc11
Comment 10 Fedora Update System 2009-05-15 19:34:05 EDT
preupgrade-1.1.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update preupgrade'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4211
Comment 11 Arenas Belon, Carlo Marcelo 2009-05-18 04:37:12 EDT
fedora 11 might be released before this version package gets into "updates" and so will affect people trying to use preupgrade to move from fedora 10 into the new release.
Comment 12 Fedora Update System 2009-05-28 03:58:20 EDT
preupgrade-1.1.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-28 04:11:03 EDT
preupgrade-1.1.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-28 04:13:02 EDT
preupgrade-1.1.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Greg 2009-11-19 06:23:59 EST
Just ran into this same bug while trying to use preupgrade to upgrade from F11 to F12.  F11 was completely up to date before running preupgrade.

My MBR boots Windows 7.  It's boot loader chainloads grub on /boot (/dev/sda3).

Running preupgrade it initially failed with /boot is too small, then, without any warning, had overwritten my MBR so it was completely unbootable.  No idea why it didn't proceed with installation but proceeded to overwrite something it had no business touching.

Booted the W7 DVD and chose Startup Repair to get the MBR back and everything was fine.

Cleaned up some space from /boot and tried the preupgrade which successfully ran to completion upon which rebooting presented me with the familiar "no boot device found".

Ran the W7 Startup Repair and could successfully boot Windows 7 and F12.

This issue clearly hasn't been fixed.
Comment 16 Will Woods 2009-11-19 11:30:55 EST
As mentioned above, it doesn't overwrite the MBR - preupgrade doesn't touch your MBR. And it specifically directs anaconda not to touch it either.

So this sounds more like the mysterious long-standing GRUB-explodey bug - see bug 450143 - or some other unknown problem. But - I'll say it again - neither preupgrade nor anaconda should be manipulating your MBR in any way.
Comment 17 Greg 2009-11-20 02:20:15 EST
So, how does this explain preupgrade/anaconda "appearing" to render my HDD "unbootable" even when it hasn't actually started the upgrade?  

I don't get any grub prompts.  I get the BIOS informing me that there are no bootable partitions.
Comment 18 Eugene Kanter 2009-12-03 15:58:54 EST
I just got the same non bootable MBR upgrading from 11 to 12.
MBR was booting Windows XP. I boot Linux by NT loader.
What is interesting that on the same exact box upgrade from 9 to 11 went fine.
Comment 19 Bug Zapper 2010-04-27 09:51:41 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2010-06-28 08:09:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.